Subject: Re: bug#61410: texmathp and literal $

From: Ikumi Keita <[email-masked]>
Date: Sat, 11 Feb 2023 18:06:28 +0900

Hi Arash,

>>>>> Arash Esbati <[email-masked]> writes:
> texmathp ignores the verb macro completely.  The similar scenario can be
> created for a verbatim-like environment.  Can others reproduce this?

Yes. As far as I can see, texmathp.el doesn't pay attention to verbatim
constructs at all. I think that's an intention of Carsten Dominik.

> And if yes, any idea about course of action?

Maybe we can make texmathp syntax-aware (that is, to look into "string
quotes" syntax.) Currently, I'm not sure whether that's easy or not. Do
you think it's important to have this feature? (I'm neutral to the
importance.)

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine